Bug 217702 - HVM save and restore fails with obscure error message
HVM save and restore fails with obscure error message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On: 214995
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 09:49 EST by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0637
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:34:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-11-29 09:49:23 EST
Cloning for virt-manager, which needs the same fix as the core xen tools.

+++ This bug was initially created as a clone of Bug #217701 +++

fv save/restore is not supported, but xen tries to do it anyway and fails with
an obscure error message.  The tools really need to fail cleanly in this case.

 +++ This bug was initially created as a clone of Bug #217610 +++

Description of problem:

I am unable to save a running guest on a full virt system. My test case has a
guest installed with rhel3u8. Turned SELinux off to eliminate issues and xm save
still fails.

Test system is and AMD tyan i686 - Cpus:4 Memory:1803 MB 

# xm list
Name                                      ID Mem(MiB) VCPUs State   Time(s)
Domain-0                                   0     1803     4 r-----  26086.1
rhel3u8-i386                             164      600     1 -b----     21.0

# xm save rhel3u8-i386 /var/lib/xen/images/save.img
Error: /usr/lib/xen/bin/xc_save 21 164 0 0 0 failed
Usage: xm save <Domain> <CheckpointFile>

Save a domain state to restore later.
# getenforce
Permissive

Version-Release number of selected component (if applicable):
Clean install of RHEL5-Beta2 tree.
Linux amd-tyan-03.lab.boston.redhat.com 2.6.18-1.2747.el5xen #1 SMP Thu Nov 9
19:33:10 EST 2006 i686 athlon i386 GNU/Linux
# rpm -q xen xen-libs
xen-3.0.3-8.el5
xen-libs-3.0.3-8.el5

How reproducible:
always

Steps to Reproduce:
1. install rhel3u8 full virt guest
2. xm create guest
3.
  
Actual results:
unable to save running guest.

Expected results:
guest should be saved ready for restore later

Additional info:
Comment 1 RHEL Product and Program Management 2006-11-29 10:00:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Daniel Berrange 2007-02-22 15:33:43 EST
This requires that bug #217701 is first addressed, otherwise virt-manager will
never even be given the error message. Once that bug is addressed, I believe
that virt-manager will already 'do the right thing' and pass the message upto
the user. At worst case we need to add in a error dialog. So, assuming bug
#217701 is first addressed, this should be doable for RHEL 5.1
Comment 3 Daniel Berrange 2007-06-14 15:08:50 EDT
In bug 214995, xen-3.0.3-27.el5 gained ability to do save/restore of HVM guests.
Thus virt-manager should now 'just work(tm)' for HVM guests without any further
changes.

Comment 7 errata-xmlrpc 2007-11-07 11:34:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0637.html

Note You need to log in before you can comment on or make changes to this bug.